Package org.springframework.cglib.core.internal

# Class CustomizerRegistry

java.lang.Object
org.springframework.cglib.core.internal.CustomizerRegistry

public class CustomizerRegistry extends Object

## Constructor Summary

Constructors
Constructor
Description
`CustomizerRegistry(Class[] customizerTypes)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(KeyFactoryCustomizer customizer)`
`<T> List<T>`
`get(Class<T> klass)`
`static CustomizerRegistry`
`singleton(Customizer customizer)`
Deprecated.
Only to keep backward compatibility.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomizerRegistry

public CustomizerRegistry(Class[] customizerTypes)

## Method Details

### add

public void add(KeyFactoryCustomizer customizer)

### get

public <T> List<T> get(Class<T> klass)

### singleton

@Deprecated public static CustomizerRegistry singleton(Customizer customizer)
Deprecated.
Only to keep backward compatibility.